/*
-------------------------------------------------------------------
SUDOKU SENSEI 2.00: a Sudoku Explainer Application
Copyright (C) 2007  Victor Antolin Urtueta

This program is based on SUDOKU SENSEI 1.04, a Sudoku Explainer
Engine by Martin Knoblauch.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA  02110-1301, USA.

Contact the authors: mentur.SudokuSensei AT gmail.com
                     comocomocomo AT users.sourceforge.net
Latest versions: http://sourceforge.net/projects/sudoku-sensei
-------------------------------------------------------------------
*/
/************************************************************************************************/
/*  File: mask.cpp  * Status: stable * Version: 2.00 * last changes in version: 0.50		*/
/************************************************************************************************/
/*  This file contains the functions: mask, simbols and SimbolsOfMask				*/
/*												*/
/************************************************************************************************/
#include "mask.h"
#include <QtWidgets>

// mask() and simbols() moved to the header file

QString SimbolsOfMask (int the_mask,int nSy, QString say_and)
{
	QString a;
	int i=0;


	for(i=0; i < nSy; i++)
	{
		if (the_mask & mask(i))
		{
		     a.append (simbols(i));
		     a.append (", ");
		}
	}
	i = a.lastIndexOf(", ");
	if ( i > 0 )	  a.remove(i,2);
	i = a.lastIndexOf(", ");
	if ( i > 0 )      a.replace (i,1,say_and);
	return a;
}
